
/** 轮播图 start**/

.carousel {
    position: relative;
    max-width: 100%;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.5);
}

.slide {
    display: none;
    width: 100%;
    text-align: center;
    position: relative;
    transition: transform 0.2s ease-in-out;
}

.slide img {
    width: 100%;
    height: auto;
    min-height: 280px;
}

.pagination {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
}

.pagination span {
    display: inline-block;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0.7);
    margin: 0 5px;
    cursor: pointer;
}

.pagination .active {
    background-color: rgba(255, 255, 255, 1);
    color: white;
}

/* 添加动画效果 */
.slide-enter {
    transform: translateX(100%);
}

.slide-enter-active {
    transform: translateX(0);
}

.slide-leave {
    transform: translateX(-100%);
}

.slide-leave-active {
    transform: translateX(0);
}

.reset-left{
    height: 80px;
    max-width: 100%;

    position: absolute;
    top:50%;
    transform: translateY(-50%);
    left:10%;
    z-index: 999;
    cursor: pointer
}
.reset-right{
    height: 80px;
    max-width: 100%;

    position: absolute;
    top:50%;
    transform: translateY(-50%);
    right:10%;
    z-index: 999;
    cursor: pointer
}


.text-overlay {
    position: absolute;
    top: 0;
    left: 0;
    color: white;
    text-align: center;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    /* padding-top: 3.2rem; */
    margin: auto 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.text-overlay .primary-title{
    font-size: 42px;
    font-weight: bold;;
    margin-bottom: 30px;
}

.text-overlay .title{
    font-size: 30px;
    font-weight: bold;
    margin-bottom: 20px;
}

.text-overlay .text{
    margin-left: auto;
    margin-right: auto;
    width: 900px;
    line-height: 40px;
    text-align: left;
    font-size: 18px;
}
/** 轮播图 end **/